HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	04/04/2015 11:41.12
VERSION 1
END

SCT_Base BASE 5 5 1144 573
REALIZE "MSP_SCT_Realize"
ONPOSTCREATE "MSP_SCT_PostCreation"
TLB
CAPTION "Mimir Software Package - Spectra Combining Tool (MSP-SCT)"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  Plot_Area DRAW 7 3 797 521
  ONBUTTON "Draw_Button"
  ONMOTION "Draw_Motion"
  END
  WID_LABEL_0 LABEL 823 16 0 0
  VALUE "1. Select the Spectral FITS Files to Combine"
  ALIGNLEFT
  END
  Select_Files_Button PUSHBUTTON 870 38 0 0
  VALUE "Select SpeX-type FITS Files"
  ALIGNCENTER
  ONACTIVATE "Select_Files"
  END
  WID_LABEL_1 LABEL 826 384 0 0
  VALUE "3. Combine the Spectra"
  ALIGNLEFT
  END
  N_Files_Textbox TEXT 874 67 0 0
  WIDTH = 6
  HEIGHT = 1
  END
  WID_LABEL_2 LABEL 934 69 0 0
  VALUE "Number of Files Read"
  ALIGNLEFT
  END
  Combine_Button PUSHBUTTON 857 407 0 0
  VALUE "Combine Spectra into One Spectrum"
  ALIGNCENTER
  ONACTIVATE "Combine_Spectra"
  END
  WID_LABEL_3 LABEL 820 162 0 0
  VALUE "2. (Optional) Add Offset(s) to Align Spectra"
  ALIGNLEFT
  END
  Enable_Offsetting_Button PUSHBUTTON 890 251 0 0
  VALUE "Enable Offsetting"
  ALIGNCENTER
  ONACTIVATE "Enable_Offsetting"
  END
  WID_LABEL_4 LABEL 852 185 0 0
  VALUE "A. Put cursor over one of the spectra"
  ALIGNLEFT
  END
  WID_LABEL_5 LABEL 850 205 0 0
  VALUE "B. Press mouse button, holding it down"
  ALIGNLEFT
  END
  WID_LABEL_6 LABEL 851 226 0 0
  VALUE "C. Drag the cursor to desired offset, release button"
  ALIGNLEFT
  END
  WID_LABEL_7 LABEL 827 444 0 0
  VALUE "4. Save Combined Spectrum in a Spex-type FITS File"
  ALIGNLEFT
  END
  Save_Spectrum_Button PUSHBUTTON 896 466 0 0
  VALUE "Save Final Spectrum"
  ALIGNCENTER
  ONACTIVATE "Save_Spectrum"
  END
  Exit_Button PUSHBUTTON 1055 491 0 0
  VALUE "EXIT"
  ALIGNCENTER
  ONACTIVATE "Exit_Asserted"
  END
  WID_LABEL_8 LABEL 932 287 0 0
  VALUE "Spectrum No."
  ALIGNLEFT
  END
  Offset_Spectrum TEXT 894 284 0 0
  WIDTH = 4
  HEIGHT = 1
  END
  Offset_Textbox TEXT 896 316 0 0
  WIDTH = 20
  HEIGHT = 1
  END
  WID_LABEL_9 LABEL 1028 320 0 0
  VALUE "Offset"
  ALIGNLEFT
  END
  WID_BASE_0 BASE 873 96 0 0
  COLUMNS = 1
  NONEXCLUSIVE
  CAPTION "IDL"
  BEGIN
    Zero_Line_Button PUSHBUTTON -1 -1 0 0
    VALUE "Show Zero Line"
    ALIGNLEFT
    ONACTIVATE "Toggle_Zero_Line"
    END
  END
  WID_BASE_1 BASE 872 127 0 0
  COLUMNS = 1
  NONEXCLUSIVE
  CAPTION "IDL"
  BEGIN
    Unity_Line_Button PUSHBUTTON -1 -1 0 0
    VALUE "Show Unity Line"
    ALIGNLEFT
    ONACTIVATE "Toggle_Unity_Line"
    END
  END
  Clear_Offsets_Button PUSHBUTTON 898 347 0 0
  VALUE "Clear All Offsets"
  ALIGNCENTER
  ONACTIVATE "Clear_Offsets"
  END
END
