; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	04/14/2015 08:13.27
; 
pro SCT_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='SCT_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Plot_Area'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 0 )then $
          Draw_Button, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 1 )then $
          Draw_Button, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 2 )then $
          Draw_Motion, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Select_Files_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_Files, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Combine_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Combine_Spectra, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Enable_Offsetting_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Enable_Offsetting, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Save_Spectrum_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Save_Spectrum, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Exit_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Exit_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Zero_Line_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Zero_Line, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Unity_Line_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Unity_Line, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Clear_Offsets_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Clear_Offsets, Event
    end
    else:
  endcase

end

pro SCT_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'MSP_SCT_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  SCT_Base = Widget_Base( GROUP_LEADER=wGroup, UNAME='SCT_Base'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1144 ,SCR_YSIZE=573  $
      ,NOTIFY_REALIZE='MSP_SCT_Realize' ,TITLE='Mimir Software'+ $
      ' Package - Spectra Combining Tool (MSP-SCT)' ,SPACE=3 ,XPAD=3  $
      ,YPAD=3)

  
  MSP_SCT_PostCreation, SCT_Base, _EXTRA=_VWBExtra_

  
  Plot_Area = Widget_Draw(SCT_Base, UNAME='Plot_Area' ,XOFFSET=7  $
      ,YOFFSET=3 ,SCR_XSIZE=797 ,SCR_YSIZE=521 ,/BUTTON_EVENTS  $
      ,/MOTION_EVENTS)

  
  WID_LABEL_0 = Widget_Label(SCT_Base, UNAME='WID_LABEL_0'  $
      ,XOFFSET=823 ,YOFFSET=16 ,/ALIGN_LEFT ,VALUE='1. Select the'+ $
      ' Spectral FITS Files to Combine')

  
  Select_Files_Button = Widget_Button(SCT_Base,  $
      UNAME='Select_Files_Button' ,XOFFSET=870 ,YOFFSET=38  $
      ,/ALIGN_CENTER ,VALUE='Select SpeX-type FITS Files')

  
  WID_LABEL_1 = Widget_Label(SCT_Base, UNAME='WID_LABEL_1'  $
      ,XOFFSET=826 ,YOFFSET=384 ,/ALIGN_LEFT ,VALUE='3. Combine the'+ $
      ' Spectra')

  
  N_Files_Textbox = Widget_Text(SCT_Base, UNAME='N_Files_Textbox'  $
      ,XOFFSET=874 ,YOFFSET=67 ,XSIZE=6 ,YSIZE=1)

  
  WID_LABEL_2 = Widget_Label(SCT_Base, UNAME='WID_LABEL_2'  $
      ,XOFFSET=934 ,YOFFSET=69 ,/ALIGN_LEFT ,VALUE='Number of Files'+ $
      ' Read')

  
  Combine_Button = Widget_Button(SCT_Base, UNAME='Combine_Button'  $
      ,XOFFSET=857 ,YOFFSET=407 ,/ALIGN_CENTER ,VALUE='Combine'+ $
      ' Spectra into One Spectrum')

  
  WID_LABEL_3 = Widget_Label(SCT_Base, UNAME='WID_LABEL_3'  $
      ,XOFFSET=820 ,YOFFSET=162 ,/ALIGN_LEFT ,VALUE='2. (Optional)'+ $
      ' Add Offset(s) to Align Spectra')

  
  Enable_Offsetting_Button = Widget_Button(SCT_Base,  $
      UNAME='Enable_Offsetting_Button' ,XOFFSET=890 ,YOFFSET=251  $
      ,/ALIGN_CENTER ,VALUE='Enable Offsetting')

  
  WID_LABEL_4 = Widget_Label(SCT_Base, UNAME='WID_LABEL_4'  $
      ,XOFFSET=852 ,YOFFSET=185 ,/ALIGN_LEFT ,VALUE='A. Put cursor'+ $
      ' over one of the spectra')

  
  WID_LABEL_5 = Widget_Label(SCT_Base, UNAME='WID_LABEL_5'  $
      ,XOFFSET=850 ,YOFFSET=205 ,/ALIGN_LEFT ,VALUE='B. Press mouse'+ $
      ' button, holding it down')

  
  WID_LABEL_6 = Widget_Label(SCT_Base, UNAME='WID_LABEL_6'  $
      ,XOFFSET=851 ,YOFFSET=226 ,/ALIGN_LEFT ,VALUE='C. Drag the'+ $
      ' cursor to desired offset, release button')

  
  WID_LABEL_7 = Widget_Label(SCT_Base, UNAME='WID_LABEL_7'  $
      ,XOFFSET=827 ,YOFFSET=444 ,/ALIGN_LEFT ,VALUE='4. Save Combined'+ $
      ' Spectrum in a Spex-type FITS File')

  
  Save_Spectrum_Button = Widget_Button(SCT_Base,  $
      UNAME='Save_Spectrum_Button' ,XOFFSET=896 ,YOFFSET=466  $
      ,/ALIGN_CENTER ,VALUE='Save Final Spectrum')

  
  Exit_Button = Widget_Button(SCT_Base, UNAME='Exit_Button'  $
      ,XOFFSET=1055 ,YOFFSET=491 ,/ALIGN_CENTER ,VALUE='EXIT')

  
  WID_LABEL_8 = Widget_Label(SCT_Base, UNAME='WID_LABEL_8'  $
      ,XOFFSET=932 ,YOFFSET=287 ,/ALIGN_LEFT ,VALUE='Spectrum No.')

  
  Offset_Spectrum = Widget_Text(SCT_Base, UNAME='Offset_Spectrum'  $
      ,XOFFSET=894 ,YOFFSET=284 ,XSIZE=4 ,YSIZE=1)

  
  Offset_Textbox = Widget_Text(SCT_Base, UNAME='Offset_Textbox'  $
      ,XOFFSET=896 ,YOFFSET=316 ,XSIZE=20 ,YSIZE=1)

  
  WID_LABEL_9 = Widget_Label(SCT_Base, UNAME='WID_LABEL_9'  $
      ,XOFFSET=1028 ,YOFFSET=320 ,/ALIGN_LEFT ,VALUE='Offset')

  
  WID_BASE_0 = Widget_Base(SCT_Base, UNAME='WID_BASE_0' ,XOFFSET=873  $
      ,YOFFSET=96 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Zero_Line_Button = Widget_Button(WID_BASE_0,  $
      UNAME='Zero_Line_Button' ,/ALIGN_LEFT ,VALUE='Show Zero Line')

  
  WID_BASE_1 = Widget_Base(SCT_Base, UNAME='WID_BASE_1' ,XOFFSET=872  $
      ,YOFFSET=127 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Unity_Line_Button = Widget_Button(WID_BASE_1,  $
      UNAME='Unity_Line_Button' ,/ALIGN_LEFT ,VALUE='Show Unity'+ $
      ' Line')

  
  Clear_Offsets_Button = Widget_Button(SCT_Base,  $
      UNAME='Clear_Offsets_Button' ,XOFFSET=898 ,YOFFSET=347  $
      ,/ALIGN_CENTER ,VALUE='Clear All Offsets')

  Widget_Control, /REALIZE, SCT_Base

  XManager, 'SCT_Base', SCT_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro MSP_SCT, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  SCT_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
